=== include/pconn/Makefile ===
# $Id: Makefile,v 1.6 2001/10/12 02:16:39 arensb Exp $

TOP =		../..
SUBDIR =	include/pconn

HEADERS =	PConnection.h \
		netsync.h \
		cmp.h \
		dlp.h \
		dlp_cmd.h \
		dlp_rpc.h \
		padp.h \
		palm_errno.h \
		palm_types.h \
		pconn.h \
		slp.h \
		util.h \
		spc_client.h

DISTFILES =	Makefile \
		${HEADERS}

all::

include ${TOP}/Make.rules

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***
