=== i18n/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.14 2001/12/07 14:15:03 arensb Exp $
+# $Id: Makefile,v 1.19 2002/12/18 00:23:28 azummo Exp $
 
 # XXX - It would be nice to arrange things so that the <lang>.po files
 # aren't modified all the time (and cause CVS to think the file has
@@ -11,7 +11,7 @@
 SUBDIR =	i18n
 
 # LANGS: list of all languages/locales for which there is a translation
-LANGS =		fr de it cs
+LANGS =		fr de it cs ru ja pt_BR
 POFILES =	${LANGS:=.po}
 MOFILES =	${LANGS:=.mo}
 
@@ -48,7 +48,9 @@
 	${TOP}/src/spalm.c \
 	${TOP}/src/spc.c \
 	${TOP}/src/net_compat.c \
-	${TOP}/src/GenericConduit.cc
+	${TOP}/src/conduits/generic.cc
+
+# XXX there are a lot of files to be added here.
 
 DISTFILES =	Makefile \
 		messages.po \
@@ -88,8 +90,9 @@
 
 # Install the message catalogs
 install-i18n-yes:	${MOFILES}
-	langs="${LANGS}"; \
+	@langs="${LANGS}"; \
 	for lang in $$langs; do \
+		echo "${MKDIR} ${LOCALEDIR}/$$lang/LC_MESSAGES"; \
 		${MKDIR} "${LOCALEDIR}/$$lang/LC_MESSAGES"; \
 		${INSTALL_DATA} "$$lang.mo" \
 			"${LOCALEDIR}/$$lang/LC_MESSAGES/${PACKAGE}.mo"; \
