=== include/Makefile ===
# $Id: Makefile,v 1.4 2001/06/27 03:19:10 arensb Exp $

TOP =		..
SUBDIR =	include
SUBDIRS =	pconn

HEADERS =	pdb.h \
		palm.h
DISTFILES =	Makefile \
		${HEADERS}

include ${TOP}/Make.rules

# This is for Emacs's benefit:
# Local Variables:	***
# fill-column:	75	***
# End:			***
