=== perl/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.9 2000/11/10 03:36:24 arensb Exp $
+# $Id: Makefile,v 1.11 2002/03/10 23:11:53 arensb Exp $
 
 TOP =		..
 SUBDIR =	perl
@@ -21,8 +21,11 @@
 
 include ${TOP}/Make.rules
 
+# XXX - This is needed for 'make all' after a 'make clean', so leave it in.
+# But this needs to match what was used in 'configure' to build the Perl
+# Makefile.
 ColdSync/Makefile:	ColdSync/Makefile.PL
-	cd ColdSync && ${PERL} Makefile.PL
+	cd ColdSync && ${PERL} Makefile.PL PREFIX="${PREFIX}"
 
 # This is for Emacs's benefit:
 # Local Variables:	***
