## coldsync 3.0+pre3-1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Top-level Makefile
 #
-# $Id: Makefile,v 1.18 2001/06/04 10:18:28 arensb Exp $
+# $Id: Makefile,v 1.20 2002/03/19 11:59:31 arensb Exp $
 
 # In each Makefile, ${TOP} is the top of the source tree. ${SUBDIR} is the
 # path to the current directory, relative to ${TOP}. These two variables
@@ -14,7 +14,8 @@
 
 # List of subdirectories underneath this one.
 # Note that $(PERLDIR) is expanded in Make.rules.
-SUBDIRS =	include libpconn libpdb src $(PERLDIR) conduits doc i18n
+SUBDIRS =	include libpconn libpdb src coldnamed $(PERLDIR) conduits \
+		doc i18n
 
 # Files to include in snapshots and distributions
 DISTFILES =	README \
@@ -27,6 +28,7 @@
 		ChangeLog \
 		ChangeLog.0 \
 		ChangeLog.1 \
+		ChangeLog.2 \
 		HACKING \
 		Makefile \
 		Make.rules.in \
