=== perl/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # But this needs to match what was used in 'configure' to build the Perl
 # Makefile.
 ColdSync/Makefile:	ColdSync/Makefile.PL
-	cd ColdSync && ${PERL} Makefile.PL PREFIX="${PREFIX}"
+	cd ColdSync && ${PERL} Makefile.PL PREFIX="${PREFIX}" INSTALLDIRS=vendor
 
 # This is for Emacs's benefit:
 # Local Variables:	***
