=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
-# $Id: Makefile,v 2.22 2001/10/12 02:19:26 arensb Exp $
+# $Id: Makefile,v 2.36 2002/12/18 00:19:03 azummo Exp $
 
 TOP =		..
 SUBDIR =	src
 
+SUBDIRS =	conduits
+
+
+CPROG =		
 CXXPROG =	coldsync
 
 C_SRCS =	coldsync.c \
@@ -19,11 +23,21 @@
 		palment.c \
 		pref.c \
 		spc.c \
+		symboltable.c \
 		net_compat.c \
-		ap_snprintf.c
+		ap_snprintf.c \
+		cs_error.c \
+		listenblock.c \
+		pdablock.c \
+		conduitblock.c \
+		netsync.c \
+		palmconn.c \
+		runmode.c \
+		sync.c
+
 C_OBJS =	${C_SRCS:.c=.o}
 
-CXX_SRCS =	GenericConduit.cc symboltable.cc
+CXX_SRCS =	
 
 CXX_OBJS =	${CXX_SRCS:.cc=.o}
 
@@ -40,9 +54,16 @@
 		spc.h \
 		pref.h \
 		net_compat.h \
-		GenericConduit.hh
+		trace.h \
+		netsync.h \
+		palmconn.h \
+		runmode.h \
+		sync.h 
 
-OBJS =		${C_OBJS} ${CXX_OBJS} \
+CONDUITS_OBJS =	conduits/generic.o \
+		conduits/dummy.o
+
+OBJS =		${C_OBJS} ${CXX_OBJS} ${CONDUITS_OBJS} \
 		y.tab.o
 
 LIBPCONN = 	-L${TOP}/libpconn -lpconn
@@ -51,19 +72,24 @@
 CLEAN =		${CXXPROG} ${OBJS} \
 		*.ln *.bak *~ core *.core .depend \
 		lex.yy.c y.tab.c y.tab.h y.output \
-		parser.tab.c parser.tab.h parser.output
+		parser.tab.c parser.tab.h parser.output \
+		conduits.h
 
 DISTFILES =	Makefile \
 		${SRCS} ${HEADERS} \
-		lexer.l parser.y
+		lexer.l parser.y \
+		conduits2include.sh
 
-all::		${CXXPROG}
+# Dummy target. It's just here so that 'make' will default to 'make all'.
+all::
+
+include ${TOP}/Make.rules
+
+all::		conduits.h ${CXXPROG} ${CPROG}
 
 depend::	lex.yy.c
 depend::
 	${MKDEP} ${CPPFLAGS} ${C_SRCS} ${CXX_INCLUDEDIRS} ${CXX_SRCS}
-
-include ${TOP}/Make.rules
 
 install::	${CXXPROG}
 	${MKDIR} ${BINDIR}
@@ -83,6 +109,9 @@
 lex.yy.c:	parser.h lexer.l
 y.tab.c y.tab.h:	parser.h parser.y
 
+conduits.h:	conduits/*.h
+		sh ./conduits2include.sh >conduits.h
+
 # This is for Emacs's benefit:
 # Local Variables:	***
 # fill-column:	75	***
