=== include/pconn/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.6 2001/10/12 02:16:39 arensb Exp $
+# $Id: Makefile,v 1.8 2002/09/04 10:14:00 azummo Exp $
 
 TOP =		../..
 SUBDIR =	include/pconn
@@ -20,9 +20,20 @@
 DISTFILES =	Makefile \
 		${HEADERS}
 
-all::
+DISTCLEAN =	spc.h
+
+all::		spc.h
 
 include ${TOP}/Make.rules
+
+# "spc.h" is a symlink because "coldsync" and "libpconn" are conceptually
+# separate packages, but "spc.h" is used in both. But I don't want to
+# maintain two identical copies of the same file. However, CVS doesn't
+# handle symlinks, so instead we create it here.
+${RECURSIVE_TARGETS}::
+
+spc.h:
+	ln -s ${TOP}/src/spc.h spc.h
 
 # This is for Emacs's benefit:
 # Local Variables:	***
