=== debian/changelog ===
coldsync (3.0+pre3-1) unstable; urgency=low

  * New upstream version
  * Change of maintainer email address 

 -- Bradley Marshall <brad@humbug.org.au>  Sun, 28 Dec 2003 14:53:19 +1000

coldsync (2.3.1+20020318-1) unstable; urgency=low

  * New upstream version (Closes: #146841) 
  * New release fixes problem with segfault (closes: #135640)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sat, 16 Nov 2002 21:22:37 +1000

coldsync (2.2.5-1) unstable; urgency=low

  * New upstream version (closes: #125832)
  * Fixed spelling mistake (closes: #125617) 

 -- Bradley Marshall <bmarshal@pisoftware.com>  Thu, 10 Jan 2002 16:06:06 +1000

coldsync (2.1.3-1) unstable; urgency=low

  * New upstream version

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon, 24 Sep 2001 14:39:01 +1000

coldsync (2.1.2-1) unstable; urgency=low

  * New upstream version 

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sun,  3 Jun 2001 20:33:02 +1000

coldsync (2.0.2-2) unstable; urgency=low

  * Fixed priority field 
  * Added build depends.  (closes: #93100)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon, 23 Apr 2001 13:31:26 +1000

coldsync (2.0.2-1) unstable; urgency=low

  * New upstream version
  * Added in Build Depends (closes: #93100)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon,  9 Apr 2001 11:18:02 +1000

coldsync (2.0.1-1) unstable; urgency=low

  * New upstream version
  * Adds back in Coldsync.pm (closes: #90017)
  * Documentation fixes - missing colons fixed in new upstream, 
    added (debian specific) path (closes: #86564)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Mon, 19 Mar 2001 09:30:41 +1000

coldsync (2.0.0-1) unstable; urgency=low

  * New upstream version

 -- Bradley Marshall <bmarshal@pisoftware.com>  Thu, 28 Mar 2001 14:03:32 +1000

coldsync (1.6.3-1) unstable; urgency=low

  * New upstream revision

 -- Bradley Marshall <bmarshal@pisoftware.com>  Thu, 28 Dec 2000 20:54:17 +1000

coldsync (1.4.6-2) unstable; urgency=low

  * Moved Coldsync.pm to correct location in /usr/lib/perl5 (Closes: #74406)

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sun, 15 Oct 2000 14:33:54 +1000

coldsync (1.4.6-1) unstable; urgency=low

  * Packaging of new release

 -- Bradley Marshall <bmarshal@pisoftware.com>  Sat,  7 Oct 2000 07:47:13 +1000

coldsync (1.1.9-2) unstable; urgency=low

  * Upload after being accepted as a developer

 -- Bradley Marshall <bmarshal@pisoftware.com>  Tue, 22 Aug 2000 20:06:04 +1000

coldsync (1.1.9-1) unstable; urgency=low

  * Initial Release.

 -- Bradley Marshall <bmarshal@pisoftware.com>  Tue,  9 May 2000 07:20:30 +1000

Local variables:
mode: debian-changelog
End:
