=== debian/control ===
Source: coldsync
Section: otherosfs
Priority: extra
Maintainer: Bradley Marshall <brad@humbug.org.au>
Build-Depends: texinfo, gettext, bison, flex, debhelper
Standards-Version: 3.1.1.1

Package: coldsync
Architecture: any
Depends: ${shlibs:Depends}, perl5, libpalm-perl
Description: A tool for syncing PalmOS PDAs with Unix workstations
 Coldsync is a tool for syncing PalmOS PDAs with a Unix workstation
 with a focus on consistancy of data.  It also has an API which allows
 conduits to be written in Perl, among other languages.
